Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSCollaborationStatistics Class Reference

Collaboration common statistics for send and receive. More...

`#import <CSCollaborationDetails.h>`

Inherits NSObject.

Inherited by CSCollaborationReceiveStatistics.

## Instance Methods
(NSDictionary *) | - CSPropertyDescriptionForObject:
| To print the description of the object without the newline characters. More...

## Properties
NSUInteger | width
| Width of the sent/received presentation video stream. More...
NSUInteger | height
| Height of the sent/received presentation video stream. More...
NSUInteger | actualFrameRate
| Actual sent/received frame rate in frames per second. More...
NSString * | codec
| Presentation Video codec. More...
NSUInteger | roundTripTimeMilliseconds
| Round Trip Time. More...
NSUInteger | actualBitrate
| Actual sent/received bit rate per second. More...
NSUInteger | targetBitrate
| Target sent/received bit rate per second. More...
NSUInteger | jitterMillis
| Jitter in milliseconds. More...
NSUInteger | packetLossCount
| Total number of packets lost in transmit/receive direction. More...
NSUInteger | packetLossPercentage
| Percentage of packets lost in transmit/receive direction. More...

## Detailed Description

Collaboration common statistics for send and receive.

## Method Documentation

- (NSDictionary*) CSPropertyDescriptionForObject: |  | (Class) | cls |

To print the description of the object without the newline characters.

## Property Documentation

- (NSUInteger) actualBitrate
| read nonatomic assign

Actual sent/received bit rate per second.

- (NSUInteger) actualFrameRate
| read nonatomic assign

Actual sent/received frame rate in frames per second.

- (NSString*) codec
| read nonatomic assign

Presentation Video codec.

- (NSUInteger) height
| read nonatomic assign

Height of the sent/received presentation video stream.

- (NSUInteger) jitterMillis
| read nonatomic assign

Jitter in milliseconds.

- (NSUInteger) packetLossCount
| read nonatomic assign

Total number of packets lost in transmit/receive direction.

- (NSUInteger) packetLossPercentage
| read nonatomic assign

Percentage of packets lost in transmit/receive direction.

- (NSUInteger) roundTripTimeMilliseconds
| read nonatomic assign

Round Trip Time.

- (NSUInteger) targetBitrate
| read nonatomic assign

Target sent/received bit rate per second.

- (NSUInteger) width
| read nonatomic assign

Width of the sent/received presentation video stream.

The documentation for this class was generated from the following file:

- CSCollaborationDetails.h